Bug: 258299377

Clone this repo:
  1. 0d59375 Update README and pyproject.toml. am: 4576977c62 am: 9bd380eee9 am: c9e313175c am: 835ecf36b6 am: cf7ff3232e by Dan Albert · 10 months ago android14-qpr3-release android14-qpr3-s2-release main master android-14.0.0_r50 android-14.0.0_r51 android-14.0.0_r52 android-14.0.0_r53 android-14.0.0_r54
  2. cf7ff32 Update README and pyproject.toml. am: 4576977c62 am: 9bd380eee9 am: c9e313175c am: 835ecf36b6 by Dan Albert · 10 months ago
  3. 835ecf3 Update README and pyproject.toml. am: 4576977c62 am: 9bd380eee9 am: c9e313175c by Dan Albert · 10 months ago
  4. c9e3131 Update README and pyproject.toml. am: 4576977c62 am: 9bd380eee9 by Dan Albert · 10 months ago
  5. 9bd380e Update README and pyproject.toml. am: 4576977c62 by Dan Albert · 10 months ago simpleperf-release

rr prebuilts

This directory contains the prebuilt binaries for rr. These binaries come from aosp-rr-dev. See toolchain/rr/android/README.md for information about how to build and update that project.

Updating prebuilts

To update the prebuilt binaries in this directory to a newer version from ci.android.com, run:

$ ./update.sh $BUILD_ID

$BUILD_ID is optional. If omitted, the latest completed build will be used.

Development guide for update.py

The development environment is managed using Poetry. If you need to make a non-trivial change you will want to install that so you can run the linters, formatters, and tests. Once installed, run poetry install in this directory to install the development dependencies.

Run the type checker and linter with make lint.

Auto-format the code with make format.

Run the tests with make test

Run all of the above with make check or just make.

Managing dependencies

New dependencies can be added with poetry add <name> or removed with poetry add <name>. Updating a dependency to a newer version is also done with poetry add.

Whenever dependencies are updated, run poetry export --without-hashes --output requirements.txt to update the requirements.txt file. That file is used by update.sh so poetry is only needed by developers of update.py, not callers. Note that poetry does not generate the correct output for the local fetchartifact dependency, so after running export, you'll need to manually fix that line.